curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/pair-metrics?pretty=true&api_key=<your_key>"{
"data": [
{
"pair": "1inch-btc",
"metrics": [
{
"metric": "volume_reported_spot_usd_1d",
"frequencies": [
{
"frequency": "1d",
"min_time": "2022-06-06T00:00:00.000000000Z",
"max_time": "2023-08-08T00:00:00.000000000Z"
}
]
},
{
"metric": "volume_reported_spot_usd_1h",
"frequencies": [
{
"frequency": "1h",
"min_time": "2022-06-06T23:00:00.000000000Z",
"max_time": "2023-08-09T10:00:00.000000000Z"
}
]
}
]
},
{
"pair": "1inch-busd",
"metrics": [
{
"metric": "volume_reported_spot_usd_1d",
"frequencies": [
{
"frequency": "1d",
"min_time": "2022-06-06T00:00:00.000000000Z",
"max_time": "2023-08-08T00:00:00.000000000Z"
}
]
},
{
"metric": "volume_reported_spot_usd_1h",
"frequencies": [
{
"frequency": "1h",
"min_time": "2022-06-06T23:00:00.000000000Z",
"max_time": "2023-08-09T10:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "MWluY2gtZGFp",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/pair-metrics?api_key=<your_key>&page_size=2&next_page_token=MWluY2gtZGFp"
}Full catalog v2
Supported pair metrics
Returns a list of all supported pair metrics along with the time ranges of available data.
GET
/
catalog-all-v2
/
pair-metrics
curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/pair-metrics?pretty=true&api_key=<your_key>"{
"data": [
{
"pair": "1inch-btc",
"metrics": [
{
"metric": "volume_reported_spot_usd_1d",
"frequencies": [
{
"frequency": "1d",
"min_time": "2022-06-06T00:00:00.000000000Z",
"max_time": "2023-08-08T00:00:00.000000000Z"
}
]
},
{
"metric": "volume_reported_spot_usd_1h",
"frequencies": [
{
"frequency": "1h",
"min_time": "2022-06-06T23:00:00.000000000Z",
"max_time": "2023-08-09T10:00:00.000000000Z"
}
]
}
]
},
{
"pair": "1inch-busd",
"metrics": [
{
"metric": "volume_reported_spot_usd_1d",
"frequencies": [
{
"frequency": "1d",
"min_time": "2022-06-06T00:00:00.000000000Z",
"max_time": "2023-08-08T00:00:00.000000000Z"
}
]
},
{
"metric": "volume_reported_spot_usd_1h",
"frequencies": [
{
"frequency": "1h",
"min_time": "2022-06-06T23:00:00.000000000Z",
"max_time": "2023-08-09T10:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "MWluY2gtZGFp",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/pair-metrics?api_key=<your_key>&page_size=2&next_page_token=MWluY2gtZGFp"
}
